import React from 'react';
import PropTypes from 'prop-types';

import ManagerForm from './ManagerForm';

class FormBuild extends React.Component {
    static propTypes = {
        jsonForm: PropTypes.arrayOf(
            PropTypes.shape({
                showCaptcha: PropTypes.bool,
                validateOnChange: PropTypes.func,
                title: PropTypes.string,
                fields: PropTypes.arrayOf(PropTypes.shape({
                    disabled: PropTypes.bool
                })),
                buttons: PropTypes.arrayOf(PropTypes.shape())
            })
        ).isRequired,
        abmStatus: PropTypes.shape().isRequired,
        siteKey: PropTypes.string.isRequired,
        error: PropTypes.shape({}).isRequired
    };

    render() {
        return (
                <ManagerForm
                    error={this.props.error}
                    abmStatus={this.props.abmStatus}
                    siteKey={this.props.siteKey}
                    jsonForm={this.props.jsonForm}
                />
        );
    }
}
export default FormBuild;
